Skip to content
API referencePlatformPlatform billing

Recent billing events for a subscription (lifecycle + usage)

GET
/platform/v1/billing/subscriptions/{billing_account_id}/{id}/timeline

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

billing_account_id*string
Formatuuid
id*string
Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/platform/v1/billing/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/497f6eca-6276-4993-bfeb-53cbbbba6f08/timeline" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
[  {    "amount_minor": 0,    "currency": "string",    "event_type": "string",    "happened_at": "2019-08-24T14:15:22Z",    "meta": "string",    "plan_code": "string",    "vendor_type": "string"  }]